Bug 71472 - [PATCH] shells/rssh: update to 2.2.1
Summary: [PATCH] shells/rssh: update to 2.2.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Yen-Ming Lee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-09-07 18:50 UTC by Yen-Ming Lee
Modified: 2004-09-22 18:00 UTC (History)
1 user (show)

See Also:


Attachments
rssh-2.2.1.patch (4.71 KB, patch)
2004-09-07 18:50 UTC, Yen-Ming Lee
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yen-Ming Lee freebsd_committer 2004-09-07 18:50:23 UTC
- rssh < 2.2.1 has information disclosure vulnerability, so update to 2.2.1
- rssh depends on rsync and rdist

Removed file(s):
- files/patch-util.c

Port maintainer (enigmatyc@laposte.net) is cc'd.

Generated with FreeBSD Port Tools 0.63

How-To-Repeat: 
http://www.FreeBSD.org/ports/portaudit/a4815970-c5cc-11d8-8898-000d6111a684.html
Comment 1 Yen-Ming Lee freebsd_committer 2004-09-07 18:56:23 UTC
State Changed
From-To: open->feedback

The MAINTAINER is Cc-ed.
Comment 2 Yen-Ming Lee freebsd_committer 2004-09-07 18:56:26 UTC
Responsible Changed
From-To: freebsd-ports-bugs->leeym

I will take care of this PR.
Comment 3 Oliver Eikemeier 2004-09-08 09:03:04 UTC
Yen-Ming Lee wrote:

> RCS file: files/patch-util.c
> diff -N files/patch-util.c
> --- files/patch-util.c	21 May 2004 13:37:24 -0000	1.1
> +++ /dev/null	1 Jan 1970 00:00:00 -0000
> @@ -1,94 +0,0 @@
> ---- util.c.orig	Mon Jul  7 20:41:29 2003
> -+++ util.c	Fri Apr 16 01:28:16 2004
> -@@ -1,9 +1,9 @@
> - /*
> -  * util.c - utility functions for rssh
> -- *
> -+ *
> -  * Copyright 2003 Derek D. Martin ( code at pizzashack dot org ).
> -  *
> -- * This program is licensed under a BSD-style license, as follows:
> -+ * This program is licensed under a BSD-style license, as follows:
> -  *

could you use diff -b here? It seems like most of the patch in 
unnecessary.
-Oliver
Comment 4 Yen-Ming Lee freebsd_committer 2004-09-08 11:01:48 UTC
On Wed, Sep 08, 2004 at 10:03:04AM +0200, Oliver Eikemeier wrote:
> could you use diff -b here? It seems like most of the patch in 
> unnecessary.
> -Oliver

Yeah, the patch file (files/patch-util.c) is unnecessary.
That's why I remove it.

-- 
Yen-Ming Lee [utf7:+Z05fZWYO] | KeyID:0x5EB52E51 | Taipei, Taiwan
Comment 5 Yen-Ming Lee freebsd_committer 2004-09-21 21:37:50 UTC
State Changed
From-To: feedback->closed

Committed with minor modifications, thanks.
Comment 6 Thomas Abthorpe 2004-09-22 17:35:39 UTC
I found that rssh compiles cleanly under FreeBSD 5.3-BETA* but not under FreeBSD 5.2.1-p10.


There is a typo in /usr/include/wordexp.h, WRDE_DOOFS, as opposed to WRDE_DOOFFS.


I have submitted http://www.freebsd.org/cgi/query-pr.cgi?pr=72000, to request a change.


You might want to update the port to reflect the change.



Thomas
-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.

Postmaster
http://www.stthomasanglican.org
Comment 7 Yen-Ming Lee freebsd_committer 2004-09-22 17:52:15 UTC
On Wed, Sep 22, 2004 at 12:35:39PM -0400, Thomas Abthorpe wrote:
> I found that rssh compiles cleanly under FreeBSD 5.3-BETA* but not under
> FreeBSD 5.2.1-p10.
>  
> There is a typo in /usr/include/wordexp.h, WRDE_DOOFS, as opposed to
> WRDE_DOOFFS.
>  
> I have submitted http://www.freebsd.org/cgi/query-pr.cgi?pr=72000, to request a
> change.
>  
> You might want to update the port to reflect the change.
>  
> Thomas

Fixed by tjr@ already.
http://www.freebsd.org/cgi/cvsweb.cgi/src/include/wordexp.h.diff?r1=1.4&r2=1.5&f=h

-- 
Yen-Ming Lee [utf7:+Z05fZWYO] | KeyID:0x5EB52E51 | Taipei, Taiwan